Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlSphere Class Reference

`#include <GlSphere.h>`

Inherits tlp::GlSimpleEntity.

Inheritance diagram for tlp::GlSphere:

[legend]
Collaboration diagram for tlp::GlSphere:

[legend]
List of all members.

## Public Member Functions

- GlSphere ()
- GlSphere (const Coord &position, float radius, const Color &color=Color(0, 0, 0, 255), float rotX=0, float rotY=0, float rotZ=0)
- GlSphere (const Coord &position, float radius, const std::string &textureFile, int alpha=255, float rotX=0, float rotY=0, float rotZ=0)
- virtual void draw (float lod, Camera *camera)
- virtual void translate (const Coord &mouvement)
- virtual void setTexture (const std::string &texture)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)

## Constructor & Destructor Documentation

tlp::GlSphere::GlSphere | ( |  | ) | `[inline]`

tlp::GlSphere::GlSphere | ( | const Coord & | position,
|  | float | radius,
|  | const Color & | color = `Color(0, 0, 0, 255)`,
|  | float | rotX = `0`,
|  | float | rotY = `0`,
|  | float | rotZ = `0`
| ) |

| Create a sphere with a position, a radius a fill color and multiple rotation (if you want)

tlp::GlSphere::GlSphere | ( | const Coord & | position,
|  | float | radius,
|  | const std::string & | textureFile,
|  | int | alpha = `255`,
|  | float | rotX = `0`,
|  | float | rotY = `0`,
|  | float | rotZ = `0`
| ) |

| Create a sphere with a position, a radius, a texture, an alphe and multiple rotation (if you want)

## Member Function Documentation

virtual void tlp::GlSphere::draw | ( | float | lod,
|  | Camera * | camera
| ) | `[virtual]`

| Draw the sphere Implements tlp::GlSimpleEntity.

virtual void tlp::GlSphere::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to export data in XML Implements tlp::GlSimpleEntity.

virtual void tlp::GlSphere::setTexture | ( | const std::string & | texture | ) | `[inline, virtual]`

| Set the texture name

virtual void tlp::GlSphere::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to set data with XML Implements tlp::GlSimpleEntity.

virtual void tlp::GlSphere::translate | ( | const Coord & | mouvement | ) | `[virtual]`

| Translate entity Reimplemented from tlp::GlSimpleEntity.

Tulip Software by LaBRI Visualization Team 2001 - 2010